'use strict';

const { readConfigFile } = require('../utils/config');
const configDeault = readConfigFile();
/**
 * 生产环境配置，覆盖 config.default.js
 */
module.exports = (appInfo) => {
  const config = {};

  /**
   * 开发者工具
   */
  config.openDevTools = configDeault.debug;

  /**
   * 应用程序顶部菜单
   */
  config.openAppMenu = false;

  /**
   * jobs
   */
  config.jobs = {
    messageLog: false
  };
  /**
   * 远程模式-web地址
   */
  config.remoteUrl = {
    enable: configDeault.remoteUrl || false,
    url: 'http://localhost:3000/#/home'
  };

  return {
    ...config
  };
};
